org.jboss.jca.embedded.dsl.datasources13.api

## Interface DatasourcesType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface DatasourcesType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `datasourcesType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatasourceType<DatasourcesType<T>>` | `createDatasource()` Creates a new `datasource` element
    `XaDatasourceType<DatasourcesType<T>>` | `createXaDatasource()` Creates a new `xa-datasource` element
    `java.util.List<DatasourceType<DatasourcesType<T>>>` | `getAllDatasource()` Returns all `datasource` elements
    `java.util.List<XaDatasourceType<DatasourcesType<T>>>` | `getAllXaDatasource()` Returns all `xa-datasource` elements
    `DatasourceType<DatasourcesType<T>>` | `getOrCreateDatasource()` If not already created, a new `datasource` element will be created and returned.
    `DriversType<DatasourcesType<T>>` | `getOrCreateDrivers()` If not already created, a new `drivers` element with the given value will be created.
    `XaDatasourceType<DatasourcesType<T>>` | `getOrCreateXaDatasource()` If not already created, a new `xa-datasource` element will be created and returned.
    `DatasourcesType<T>` | `removeAllDatasource()` Removes all `datasource` elements
    `DatasourcesType<T>` | `removeAllXaDatasource()` Removes all `xa-datasource` elements
    `DatasourcesType<T>` | `removeDrivers()` Removes the `drivers` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateDatasource

          DatasourceType<DatasourcesType<T>> getOrCreateDatasource()

      If not already created, a new `datasource` element will be created and returned. Otherwise, the first existing `datasource` element will be returned.
      Returns:
        the instance defined for the element `datasource`

    - #### createDatasource

          DatasourceType<DatasourcesType<T>> createDatasource()

      Creates a new `datasource` element
      Returns:
        the new created instance of `DatasourceType>`

    - #### getAllDatasource

          java.util.List<DatasourceType<DatasourcesType<T>>> getAllDatasource()

      Returns all `datasource` elements
      Returns:
        list of `datasource`

    - #### removeAllDatasource

          DatasourcesType<T> removeAllDatasource()

      Removes all `datasource` elements
      Returns:
        the current instance of `DatasourceType>`

    - #### getOrCreateXaDatasource

          XaDatasourceType<DatasourcesType<T>> getOrCreateXaDatasource()

      If not already created, a new `xa-datasource` element will be created and returned. Otherwise, the first existing `xa-datasource` element will be returned.
      Returns:
        the instance defined for the element `xa-datasource`

    - #### createXaDatasource

          XaDatasourceType<DatasourcesType<T>> createXaDatasource()

      Creates a new `xa-datasource` element
      Returns:
        the new created instance of `XaDatasourceType>`

    - #### getAllXaDatasource

          java.util.List<XaDatasourceType<DatasourcesType<T>>> getAllXaDatasource()

      Returns all `xa-datasource` elements
      Returns:
        list of `xa-datasource`

    - #### removeAllXaDatasource

          DatasourcesType<T> removeAllXaDatasource()

      Removes all `xa-datasource` elements
      Returns:
        the current instance of `XaDatasourceType>`

    - #### getOrCreateDrivers

          DriversType<DatasourcesType<T>> getOrCreateDrivers()

      If not already created, a new `drivers` element with the given value will be created. Otherwise, the existing `drivers` element will be returned.
      Returns:
        a new or existing instance of `DriversType>`

    - #### removeDrivers

          DatasourcesType<T> removeDrivers()

      Removes the `drivers` element
      Returns:
        the current instance of `DatasourcesType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)